Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /topLooses

leaderboards probe ok

Top losers (API spelling Looses). WS /topic/top-looses.

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/topLooses' \
  -H 'Content-Type: application/json' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d '{}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "topLooses",
    "url": "https://www.cse.lk/api/topLooses",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:35.272520+00:00",
    "fingerprint": {
      "type": "array",
      "len": 10,
      "item_keys": [
        "change",
        "changePercentage",
        "id",
        "price",
        "securityId",
        "symbol",
        "tradeDate"
      ]
    }
  },
  "response": [
    {
      "id": 57279039,
      "securityId": 520,
      "symbol": "CTLD.N0000",
      "price": 36.2,
      "change": -2.8,
      "changePercentage": -7.17948717948718,
      "tradeDate": 1784190825000
    },
    {
      "id": 57276928,
      "securityId": 382,
      "symbol": "LITE.N0000",
      "price": 42.0,
      "change": -2.7,
      "changePercentage": -6.040268456375839,
      "tradeDate": 1784187651000
    },
    {
      "id": 57279771,
      "securityId": 383,
      "symbol": "CHOT.N0000",
      "price": 31.5,
      "change": -2.0,
      "changePercentage": -5.970149253731344,
      "tradeDate": 1784191449000
    },
    {
      "id": 57279377,
      "securityId": 3244,
      "symbol": "AINS.N0000",
      "price": 27.7,
      "change": -1.6,
      "changePercentage": -5.460750853242321,
      "tradeDate": 1784191191000
    },
    {
      "id": 57280476,
      "securityId": 3307,
      "symbol": "SINH.N0000",
      "price": 22.0,
      "change": -0.9,
      "changePercentage": -3.930131004366812,
      "tradeDate": 1784192507000
    },
    {
      "id": 57281324,
      "securityId": 5753,
      "symbol": "AGPL.N0000",
      "price": 15.4,
      "change": -0.5,
      "changePercentage": -3.1446540880503147,
      "tradeDate": 1784192967000
    },
    {
      "id": 57280968,
      "securityId": 1854,
      "symbol": "TJL.N0000",
      "price": 30.5,
      "change": -0.9,
      "changePercentage": -2.8662420382165603,
      "tradeDate": 1784193032000
    },
    {
      "id": 57281339,
      "securityId": 1485,
      "symbol": "RAL.N0000",
      "price": 10.8,
      "change": -0.3,
      "changePercentage": -2.7027027027027026,
      "tradeDate": 1784193306000
    },
    {
      "id": 57279048,
      "securityId": 123,
      "symbol": "DPL.N0000",
      "price": 14.6,
      "change": -0.4,
      "changePercentage": -2.6666666666666665,
      "tradeDate": 1784190637000
    },
    {
      "id": 57279694,
      "securityId": 355,
      "symbol": "HDFC.N0000",
      "price": 67.0,
      "change": -1.8,
      "changePercentage": -2.616279069767442,
      "tradeDate": 1784192159000
    }
  ]
}